Bug 100506 - Addition ability to copy result of search in dialogue Find&Replace
Summary: Addition ability to copy result of search in dialogue Find&Replace
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Find&Replace-Dialog
  Show dependency treegraph
 
Reported: 2016-06-20 19:17 UTC by Roman Kuznetsov
Modified: 2019-10-24 02:41 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Extension for Find and Copy search result on new sheet (7.63 KB, application/vnd.openofficeorg.extension)
2016-06-23 19:29 UTC, Roman Kuznetsov
Details
spreadsheet with data for example (15.08 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-07-04 07:59 UTC, Roman Kuznetsov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2016-06-20 19:17:40 UTC
1. Create multi sheet spreadsheet
2. type on each sheet any data
3. open dialogue Find & Replace
4. select option "search in all sheet"
5. select "regular expressions" (optional)
6. search any data
7. will be shown a window with search result from all sheets

copy result of search from this window not possible

8. close window with search result
9. desired data selected ONLY on list-1, if the desired data is on other lists, they are not selected! 

how to copy a search result on all the sheets?

Addition ability to copy result of search in dialogue Find&Replace
Comment 1 Roman Kuznetsov 2016-06-23 19:29:19 UTC
Created attachment 125867 [details]
Extension for Find and Copy search result on new sheet

one russian developer write extension for LibreOffice for adding this feature (see attach) 
http://forumooo.ru/index.php/topic,5695.0/msg,36145.html - post on forum
video on use - https://youtu.be/u91ZPj2ciN4
may be this extension add in code LibreOffice? =)
Comment 2 Roman Kuznetsov 2016-06-26 14:28:29 UTC
discussion of the development of the expansion has been continued here http://forumooo.ru/index.php/topic,5705.0.html
Comment 3 Joel Madero 2016-07-04 03:40:35 UTC
(In reply to kompilainenn from comment #0)
> 1. Create multi sheet spreadsheet

Please attach a document. It's always better if you provide the spreadsheet - it saves contributor time. Set to UNCONFIRMED after. Thanks!
Comment 4 Roman Kuznetsov 2016-07-04 07:59:10 UTC
Created attachment 126052 [details]
spreadsheet with data for example
Comment 5 Heiko Tietze 2016-10-06 08:32:34 UTC
My Russian is somewhat rusty, ja ne ponemaju po russkii. Guess many other also do not understand the forum discussion, or the video.

From your description I understand that you want to interact with search results, generalized a bit.

That could be:
* Link/Go-to (default per double-click): close f&r dialog and select the cell
* Copy (which makes me wonder if multi selection is needed)
* Formatting (clear, apply...)
* Delete/Clear Contents

These functions would be accessed per context menu. Why not? 
(Still ux-advice to get more input.)
Comment 6 Roman Kuznetsov 2016-10-06 10:52:39 UTC
(In reply to Heiko Tietze from comment #5)
> My Russian is somewhat rusty, ja ne ponemaju po russkii. Guess many other
> also do not understand the forum discussion, or the video.
> 
> From your description I understand that you want to interact with search
> results, generalized a bit.
> 
> That could be:
> * Link/Go-to (default per double-click): close f&r dialog and select the cell
> * Copy (which makes me wonder if multi selection is needed)
> * Formatting (clear, apply...)
> * Delete/Clear Contents
> 
> These functions would be accessed per context menu. Why not? 
> (Still ux-advice to get more input.)

my english is not good too =)

we search in ALL sheets spreadsheet

after close the dialog (f&r) will select cells with result only from current sheet. result of this search from other sheet not will selected

extension from forumooo.ru copy all result from all sheets with resultat of search
Comment 7 Yousuf Philips (jay) (retired) 2016-10-07 06:29:58 UTC
Heiko: From what i'm getting, he's saying that search results are only highlighted/selected on a single sheet, even when running the find & replace on 'all sheets'.
Comment 8 Roman Kuznetsov 2016-10-07 08:00:47 UTC
(In reply to Yousuf Philips (jay) from comment #7)
> Heiko: From what i'm getting, he's saying that search results are only
> highlighted/selected on a single sheet, even when running the find & replace
> on 'all sheets'.

it's right
Comment 9 Heiko Tietze 2016-10-09 21:37:55 UTC
(In reply to Yousuf Philips (jay) from comment #7)
> Heiko: From what i'm getting, he's saying that search results are only
> highlighted/selected on a single sheet, even when running the find & replace
> on 'all sheets'.

In this case I'd treat it as a bug. It's not an enhancement, and modifications to existing dialogs are not needed. Removing UX keyword to forward the issue to the production.
Comment 10 QA Administrators 2018-10-23 02:48:23 UTC Comment hidden (obsolete)
Comment 11 Roman Kuznetsov 2018-10-23 07:03:03 UTC
still repro in

Version: 6.2.0.0.alpha0+
Build ID: cec31fdedd7c94f4ebf903a66456a75867db22b0
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-10-21_22:54:44
Locale: ru-RU (ru_RU); Calc: threaded
Comment 12 QA Administrators 2019-10-24 02:41:17 UTC
Dear Roman Kuznetsov,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug